@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700&display=swap');
body {
    background-image: linear-gradient(to bottom right, rgb(22, 2, 2), rgb(11, 59, 95));
  }

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
    font-size: 1.25rem;
}

body {
    width: 100vw;
    height: 100vh;
    background: #222;
    color: #ffffff;
}

main {
    width: 100%;
    height: 100%;
    padding: 1rem; /* espacamento interno */
    /*
    background-image:url('../images/the-mentalist.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    */
}

section {
    width: 100%;
    margin: 0 auto;
    padding: 1rem;
    margin-bottom: 0.625rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

h1 {
    text-align: center;
    font-size: 1.75rem;
    margin: 0.625rem;
}

.form-group {
    text-align: center;
    margin: 1rem;
    padding: 0.625rem;
    border: 1px solid #70bbd9;
    border-radius: 5px;
}

.instrucoes {
    text-align: center;
    margin: 1rem;
}

input[type=number] {
    text-align: right;
}

input:disabled {
    background: #ffffff;
    cursor: not-allowed;
}

input[type=range] {
    cursor: pointer;
    outline: none;
}

/* div class onde estao spans e range */
.slider {
    display: flex;
    justify-content:space-evenly;
    margin-top: 1rem;
}

.slider span {
    font-size: 1rem;
    margin: 0 0.625rem;
}

/* datalist */
#marcas {
    color: #fff;
}

#btnZerar {
    padding: 5px;
    border: 0;
    border-radius: 5px;
    cursor: pointer;
}

#btnZerar:hover {
    background: darkblue;
    color: #ffffff;
    transition: all .3s;
}

/* ANIMACAO */

/* Animar o input */
@keyframes piscar {
    0% {
        filter: drop-shadow(0 0 15px #00b0ff);
        -webkit-filter: drop-shadow(0 0 15px #00b0ff);
        -moz-filter: drop-shadow(0 0 15px #00b0ff);
        -o-filter: drop-shadow(0 0 15px #00b0ff);
        -ms-filter: drop-shadow(0 0 15px #00b0ff);
    }
    100% {
    }
}

.animar {
    animation: piscar .75s infinite alternate;
}



body{
    font-family: 'Lato', sans-serif;
  }
  
  .wrapper{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  
  .link_wrapper{
    position: relative;
  }
  
  a{
    display: block;
    width: 250px;
    height: 50px;
    line-height: 50px;
    font-weight: bold;
    text-decoration: none;
    background: #160b5a;
    text-align: center;
    color: #fff;
    text-transform: uppercase;
    letter-spacing: 1px;
    border: 3px solid #333;
    transition: all .35s;
  }
  
  .icon{
    width: 50px;
    height: 50px;
    border: 3px solid transparent;
    position: absolute;
    transform: rotate(45deg);
    right: 0;
    top: 0;
    z-index: -1;
    transition: all .35s;
  }
  
  .icon svg{
    width: 30px;
    position: absolute;
    top: calc(50% - 15px);
    left: calc(50% - 15px);
    transform: rotate(-45deg);
    fill: #2ecc71;
    transition: all .35s;
  }
  
  a:hover{
    width: 200px;
    border: 3px solid #0b0e5c;
    background: transparent;
    color: #75c4d8;
  }
  
  a:hover + .icon{
    border: 3px solid #2ecc71;
    right: -25%;
  }